#!/bin/sh
#############################################################################
## Licensed Materials - Property of IBM
##
## Governed under the terms of the International
## License Agreement for Non-Warranted Sample Code.
##
## (C) COPYRIGHT International Business Machines Corp. 2006
## All Rights Reserved.
##
## US Government Users Restricted Rights - Use, duplication or
## disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
##
##   Title:	gatherLogs.sh
##   Description: gathers logs for support
##		
##
#############################################################################

# include the RFIDIC environment settings
SCRIPT_DIR=`dirname $0`
if [ -n "$RFIDIC_HOME" -a -d $RFIDIC_HOME"/bin" ];then
        . ${RFIDIC_HOME}/bin/rfidic-env.sh
else
        . ${SCRIPT_DIR}/rfidic-env.sh
fi

JAR=${WAS_HOME}/java/bin/jar
export JAR
if [ "$1" = "-a" ]
then
  INSTALL_LOG=${RFIDIC_HOME}/installLogs
  export INSTALL_LOG
  shift
fi


if [ -z "$1" ]                # No argument passed?
then
  DEFECT="Logs-`date`".zip
  export DEFECT
  DEFECT=`echo $DEFECT|sed "s/ /-/g"`
  DEFECT=`echo $DEFECT|sed "s/:/-/g"`

else
  export DEFECT="$1"
  DEFECT1=`echo ${DEFECT%%.zip}`
  if [ "$1" = "$DEFECT1" ]     # no .zip extension
  then
     DEFECT="$DEFECT.zip"
  fi
fi

$JAR -cf ""$DEFECT"" $INSTALL_LOG $RFIDIC_HOME/logs
# echo Gathered to $DEFECT
rfidic-get-message.sh -noid RFID07502U "$DEFECT"

