#!/bin/sh
#############################################################################
## Licensed Materials - Property of IBM
##
## Governed under the terms of the International
## License Agreement for Non-Warranted Sample Code.
##
## (C) COPYRIGHT International Business Machines Corp. 2006
## All Rights Reserved.
##
## US Government Users Restricted Rights - Use, duplication or
## disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
##
##   Title: simpleEventQuery.sh
##   Description: submit an EPCIS SimpleEventQuery to the web service and print the output
##                on the console.
##
##
#############################################################################

# include the RFIDIC environment settings
SCRIPT_DIR=`dirname $0`
if [ -n "$RFIDIC_HOME" -a -d $RFIDIC_HOME"/bin" ];then
        . $RFIDIC_HOME/bin/rfidic-env.sh
else
        . $SCRIPT_DIR/rfidic-env.sh
fi

checkLogs
appendClassPathWithWASJars

#Change SSL settings in rfidic-env.sh under the sslWASSettings function
SSL_SETTINGS=`sslWASSettings`

java -classpath $CLASSPATH -DRFIDIC_HOME=$RFIDIC_HOME -Dcom.ibm.ssl.performURLHostNameVerification="true" $SSL_SETTINGS com.ibm.rfidic.utils.query.SimpleEventQuery $* 
